Subject: bug#34772: Python tkinter

From: Timothy Sample <[email-masked]>
Date: Thu, 07 Mar 2019 20:02:25 -0500

Hi Brett,

"[email-masked]" <[email-masked]> writes:

> Bumping this, as it has been 24 hours without a reply. I'm still not
> sure what to make of this issue, and I do not have another machine to
> reproduce it on.
>
> [...]
>
> ModuleNotFoundError: No module named '_tkinter'
>
> Anybody have any ideas? Please reply to the bug report number.

I looked at our Python package, and Tk support is in a separate output
called “tk”.  I tried “guix environment --ad-hoc python python:tk”, and
was at least able to get past this error.  Are you using the “tk”
output?

-- Tim